*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --main-font: Helvetica, sans-serif;
    --title-font: 'Quantico';
    --highlight: #A90F0F;
    --bg-color: #fff;
}

html, body {
    font-family: var(--main-font);
    font-size: 10px;
}

body {
    background: var(--bg-color);
    width: 100vw;
    overflow-x: hidden;
    -webkit-overflow-scrolling: touch;
    height: max-content;
}

#app,
.layout {
    width: 100%;
    height: inherit;
}

.layout {
    position: relative;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}

/* a, p, span, li, div, h1, h2, h3, h4, h5, h6 {
    user-select: none;
} */

a::selection,
p::selection,
li::selection,
div::selection,
h1::selection,
h2::selection,
h3::selection,
h4::selection,
h5::selection,
h6::selection,
span::selection,
b::selection,
td::selection {
    background-color: #c24949;
    color: #fff;
}

img {
    user-select: none;
}

input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  border: none;
  -webkit-text-fill-color: none;
  -moz-text-fill-color: none;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  background-color: none;
}

.container {
    padding: 10vh 0 0;
    width: 100%;
    min-height: 90vh;
}